cutlass::gemm::Gemm< GemmTraits_ >::Params Struct Reference

The params.

`#include <gemm.h>`

Inheritance diagram for cutlass::gemm::Gemm< GemmTraits_ >::Params:

## Public Member Functions

CUTLASS_HOST_DEVICE int | initialize (Index m, Index n, Index k, ScalarEpilogue alpha, ScalarA const *d_a, Index lda, ScalarB const *d_b, Index ldb, ScalarEpilogue beta, ScalarC const *d_c, Index ldc, ScalarD *d_d, Index ldd)

## Member Function Documentation

## initialize()

template<typename GemmTraits_ >

CUTLASS_HOST_DEVICE int cutlass::gemm::Gemm< GemmTraits_ >::Params::initialize | ( | Index | m,
|  | Index | n,
|  | Index | k,
|  | ScalarEpilogue | alpha,
|  | ScalarA const * | d_a,
|  | Index | lda,
|  | ScalarB const * | d_b,
|  | Index | ldb,
|  | ScalarEpilogue | beta,
|  | ScalarC const * | d_c,
|  | Index | ldc,
|  | ScalarD * | d_d,
|  | Index | ldd
| ) |  |

inline

The documentation for this struct was generated from the following file:

- gemm.h